#!/bin/bash

if ! [ -e $(which snakemake) ]; then
    echo "Run in Python environment with snakemake"
    exit 1
fi

NTHREADS=30
OUTPUT_DIR=$PWD/output
rm -rv $OUTPUT_DIR
mkdir -p $OUTPUT_DIR

export MKL_NUM_THREADS=1
export NUMEXPR_NUM_THREADS=1
export OMP_NUM_THREADS=1

start=`date +%s`
pushd python3-snakemake-segment-cells
snakemake -j $NTHREADS --config input=/data/rgerst_data/Af_labelledSpore_DiDlabelledMHS/input/ output=$OUTPUT_DIR
popd
end=`date +%s`
runtime=$((end-start))

echo $runtime > runtime.log
